<resources>

    <style name="AppTheme" parent="Theme.AppCompat.Light.DarkActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <!-- Base application theme. -->
    <style name="AppThemeTaxi" parent="Theme.AppCompat.Light.DarkActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="titleTextColor">@color/textColorPrimary</item>
        <item name="actionMenuTextColor">@color/textColorSecondary</item>
    </style>

    <style name="ToolbarStyle" parent="AppTheme">
        <item name="android:textColorPrimary">@color/textColorPrimary</item>
    </style>

    <style name="ToolbarStyleTaxi" parent="AppTheme">
        <item name="android:textColorPrimary">@color/white</item>
        <item name="android:textColorSecondary">@color/white</item>
    </style>

    <style name="textview_moviedetail_plot1">
        <item name="android:textSize">@dimen/detail_text_title</item>
        <item name="android:textColor">#FFFFFF</item>
        <item name="android:maxLines">2</item>
        <item name="android:layout_marginBottom">5dp</item>
        <item name="android:text">@string/app_name</item>
    </style>

    <style name="textview_moviedetail_plot2">
        <item name="android:textSize">@dimen/detail_text_2</item>
        <item name="android:textColor">#FFFFFF</item>
        <item name="android:maxLines">2</item>
        <item name="android:layout_marginBottom">5dp</item>
        <item name="android:text">@string/app_name</item>
    </style>

    <style name="textview_moviedetail2_plot1" parent="textview_moviedetail_plot1">
        <item name="android:textSize">@dimen/detail_text_2</item>
    </style>

    <style name="textview_moviedetail2_plot2" parent="textview_moviedetail_plot2">
        <item name="android:textSize">@dimen/detail_text_3</item>
    </style>

    <style name="textview_moviedetail2_plot3" parent="textview_moviedetail_plot3">
        <item name="android:textSize">@dimen/textview_moviedetail2_plot3</item>
    </style>

    <style name="textview_moviedetail_plot3">
        <item name="android:textSize">@dimen/text_size_large</item>
        <item name="android:textColor">#FFFFFF</item>
        <item name="android:maxLines">7</item>
        <item name="android:layout_marginBottom">5dp</item>
        <item name="android:text">@string/app_name</item>
        <item name="android:fadingEdge">horizontal</item>
    </style>


    <style name="player_list_text_top_detail">
        <item name="android:textSize">@dimen/text_playlist_normal</item>
        <item name="android:textColor">#fff</item>

    </style>

    <style name="player_list_scrollbar">
        <item name="android:scrollbars">none</item>
        <item name="android:background">@drawable/bg_player_list_top_1</item>
        <item name="android:paddingLeft">50dp</item>
        <item name="android:paddingRight">50dp</item>
    </style>

    <style name="main_btn_next_prev">
        <item name="android:layout_alignParentLeft">true</item>
        <item name="android:background">@color/transparent</item>
        <item name="android:layout_marginLeft">90dp</item>

    </style>


    <style name="edittext_main">
        <item name="android:textSize">@dimen/text_size_large</item>
        <item name="android:textColorHint">#40ffffff</item>
        <item name="android:textColor">#ffffff</item>
        <item name="android:background">@drawable/focus_text_search</item>
        <item name="android:maxLines">1</item>
        <item name="android:lines">1</item>
        <item name="android:singleLine">true</item>
        <item name="android:imeOptions">actionSearch</item>
        <item name="android:hint">@string/text_hind_search</item>
        <item name="android:paddingLeft">@dimen/search_padding_left_right</item>
        <item name="android:layout_marginRight">@dimen/padding_right_top_bar</item>
    </style>

    <style name="Time_MediaPlayer_SeekBar" parent="android:Widget.SeekBar">
        <item name="android:progressDrawable">@drawable/seekbar_mediacontroller_background</item>
        <item name="android:minHeight">13dip</item>
        <item name="android:maxHeight">13dip</item>
        <item name="android:thumb">@drawable/seekbar_mediacontroller_thumb</item>
        <item name="android:paddingLeft">5dip</item>
        <item name="android:paddingRight">5dip</item>
    </style>

    <style name="image_item_gridview">
        <item name="android:background">@drawable/focus_image</item>
        <item name="android:padding">@dimen/margin_padding_border</item>
    </style>

    <style name="grid_movie">
        <item name="android:choiceMode">singleChoice</item>
        <item name="android:scrollbars">none</item>
        <item name="android:listSelector">@drawable/bg_focus</item>
    </style>

    <style name="submain_btn_next_prev">
        <item name="android:focusable">false</item>
        <item name="android:background">@color/transparent</item>
        <item name="android:scaleType">fitCenter</item>
    </style>


    <style name="syle_listView">
        <item name="android:choiceMode">singleChoice</item>
        <item name="android:scrollbars">none</item>
    </style>

    <style name="top_bar">
        <item name="android:paddingLeft">10dp</item>
        <item name="android:paddingBottom">10dp</item>
        <item name="android:paddingTop">10dp</item>
    </style>


    <style name="AppTheme.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>
    <!-- White theme. -->
    <style name="AppTheme.White">
        <item name="colorControlNormal">@color/white</item>
        <item name="colorControlActivated">@color/white</item>
        <item name="colorControlHighlight">@color/white</item>
    </style>

    <!-- No actionbar white theme. -->
    <style name="AppTheme.NoActionBar.White">
        <item name="colorControlNormal">@color/white</item>
        <item name="colorControlActivated">@color/white</item>
        <item name="colorControlHighlight">@color/white</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <!-- Button style -->
    <style name="Button" parent="@android:style/Widget.Button">
        <item name="android:textSize">@dimen/text_size_normal</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:paddingBottom">@dimen/dimen_x1x</item>
        <item name="android:paddingTop">@dimen/dimen_x1x</item>
        <item name="android:paddingLeft">@dimen/dimen_2x</item>
        <item name="android:paddingRight">@dimen/dimen_2x</item>
        <item name="android:gravity">center</item>
        <item name="android:textAllCaps">true</item>
        <item name="textAllCaps">true</item>
    </style>

    <style name="Button.Primary">
        <item name="android:background">@drawable/bg_btn_gadient</item>
    </style>

    <style name="Button.Primary.Taxi">
        <item name="android:background">@drawable/bg_pressed_primary_taxi</item>
    </style>

    <style name="Button.Accent">
        <item name="android:background">@drawable/bg_pressed_accent</item>
    </style>

    <style name="Button.Accent.Taxi">
        <item name="android:background">@drawable/bg_pressed_accent_taxi</item>
    </style>

    <style name="Button.Grey">
        <item name="android:background">@drawable/bg_pressed_grey</item>
    </style>

    <style name="Button.DarkGrey">
        <item name="android:background">@drawable/bg_pressed_dark_grey</item>
    </style>

    <style name="Button.DeleteAll">
        <item name="android:background">@drawable/bg_pressed_delete_all</item>
    </style>

    <style name="Button.Facebook">
        <item name="android:background">@drawable/bg_pressed_facebook</item>
    </style>

    <style name="Button.Google">
        <item name="android:background">@drawable/bg_pressed_google</item>
    </style>

    <!-- Custom Ratingbar -->
    <!--<style name="custom_rating" parent="@android:style/Widget.RatingBar">-->
    <style name="custom_rating" parent="@android:style/Widget.RatingBar">
        <item name="colorControlNormal">@color/colorControlNormal</item>
        <item name="colorControlActivated">@color/colorControlActivated</item>
        <item name="android:numStars">5</item>
        <item name="android:max">5</item>
        <item name="android:stepSize">0.5</item>
    </style>

    <!-- Base application theme. -->
    <style name="AppNoActionBar" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/primary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>
    <!--my account - about fragment-->
    <style name="my_account_style_textview">
        <item name="android:padding">@dimen/dimen_1x</item>
        <item name="android:background">@android:color/transparent</item>
        <item name="android:textSize">@dimen/text_size_xnormal</item>
        <item name="android:textColor">@color/textColorPrimary</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">0.4</item>
    </style>

    <style name="my_account_style_editext" parent="Widget.AppCompat.EditText">
        <item name="android:background">@android:color/transparent</item>
        <item name="android:padding">@dimen/dimen_1x</item>
        <item name="android:textColor">@color/colorAccent</item>
        <item name="android:textSize">@dimen/text_size_xnormal</item>
        <item name="android:singleLine">true</item>
        <item name="android:gravity">right</item>
        <item name="android:hint">@string/input</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">0.6</item>
        <item name="android:layout_marginRight">@dimen/dimen_2x</item>
    </style>

    <!--fragment search-->
    <style name="search_style_edittext">
        <item name="colorControlNormal">@color/primary</item>
        <item name="colorControlActivated">@color/primary</item>
        <item name="colorControlHighlight">@color/primary</item>
        <item name="android:textColorHint">@color/primary</item>
    </style>

    <!-- deal add - edittext -->
    <style name="deal_new_editext" parent="Widget.AppCompat.EditText">
        <item name="android:background">@android:color/transparent</item>
        <item name="android:padding">@dimen/dimen_1x</item>
        <item name="android:textColor">@color/colorAccent</item>
        <item name="android:textSize">@dimen/text_size_xnormal</item>
        <item name="android:singleLine">true</item>
        <item name="android:gravity">right</item>
        <item name="android:layout_marginRight">@dimen/dimen_2x</item>

        <item name="android:textColorHint">@color/dark_grey</item>
    </style>
    <!--activity become pro-->
    <style name="become_pro_style_text_view_currency_symbol" parent="android:style/TextAppearance.Medium">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textSize">@dimen/text_size_normal</item>
        <item name="android:textColor">@color/colorAccent</item>
        <item name="android:text">@string/currency_symbol</item>
        <item name="android:layout_centerVertical">true</item>
    </style>

    <style name="become_pro_style_text_view">
        <item name="android:layout_weight">0.6</item>
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textSize">@dimen/text_size_normal</item>
        <item name="android:textColor">@color/textColorPrimary</item>
        <item name="android:layout_gravity">center_vertical</item>
        <item name="android:maxLines">2</item>
    </style>

    <style name="become_pro_style_relative">
        <item name="android:layout_weight">0.4</item>
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginRight">@dimen/dimen_2x</item>
    </style>

    <style name="become_pro_style_editext" parent="Widget.AppCompat.EditText">
        <item name="android:background">@android:color/transparent</item>
        <item name="android:paddingRight">@dimen/dimen_1x</item>
        <item name="android:paddingBottom">@dimen/dimen_1x</item>
        <item name="android:paddingTop">@dimen/dimen_1x</item>
        <item name="android:textColor">@color/colorAccent</item>
        <item name="android:textSize">@dimen/text_size_normal</item>
        <item name="android:singleLine">true</item>
        <item name="android:hint">@string/input</item>
        <item name="android:gravity">right</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:maxWidth">@dimen/become_pro_maxwidth_edittext</item>
        <item name="android:layout_alignParentRight">true</item>
        <item name="android:maxLength">9</item>
    </style>
    <!-- Edit text -->
    <style name="EditTextBase" parent="@android:style/Widget.EditText">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/primary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <!-- EditText themes -->
    <style name="EditTextNormal" parent="@style/EditTextBase">
        <!-- Customize your theme here. -->
        <item name="colorAccent">@color/white</item>

        <item name="colorControlNormal">@color/white</item>
        <item name="colorControlActivated">@color/white</item>
        <item name="colorControlHighlight">@color/white</item>
    </style>

    <!-- spinner -->
    <style name="spinnerItemStyle" parent="android:Widget.TextView.SpinnerItem">

    </style>

    <style name="spinnerDropDownItemStyle" parent="android:TextAppearance.Widget.TextView.SpinnerItem">

    </style>

    <style name="AppTabLayout" parent="Widget.Design.TabLayout">
        <!--<item name="tabMaxWidth">@dimen/tab_max_width</item>-->
        <item name="tabIndicatorColor">@color/white</item>
        <!--<item name="tabIndicatorHeight">4dp</item>-->
        <!--<item name="tabPaddingStart">6dp</item>-->
        <!--<item name="tabPaddingEnd">6dp</item>-->
        <item name="tabBackground">?attr/selectableItemBackground</item>
        <item name="tabTextAppearance">@style/AppTabTextAppearance</item>
        <item name="android:background">@color/primary</item>
        <item name="tabSelectedTextColor">@color/white</item>
    </style>

    <style name="AppTabRadius" parent="Widget.Design.TabLayout">
        <item name="tabIndicatorColor">@color/white</item>
        <item name="tabTextAppearance">@style/AppTabTextAppearance</item>
        <item name="android:background">@color/primary</item>
    </style>

    <!-- for text -->
    <style name="AppTabTextAppearance" parent="TextAppearance.Design.Tab">
        <item name="android:textSize">@dimen/text_size_xnormal</item>
        <item name="android:textColor">@color/text_tab_unselected</item>
        <item name="android:textAllCaps">false</item>
        <item name="textAllCaps">false</item>
    </style>

    <style name="TextInputLayout" parent="TextAppearance.AppCompat">
        <!-- Hint color and label color in FALSE state -->
        <item name="android:textColorHint">@color/textColorSecondary</item>
        <item name="android:textSize">20sp</item>
        <!-- Label color in TRUE state and bar color FALSE and TRUE State -->
        <item name="colorAccent">@color/textColorSecondary</item>
        <item name="colorControlNormal">@color/textColorSecondary</item>
        <item name="colorControlActivated">@color/textColorSecondary</item>
    </style>

    <!-- QuickBlox style -->
    <style name="ToolbarStyleCall" parent="Widget.AppCompat.Toolbar">
        <item name="popupTheme">@style/ThemeOverlay.AppCompat</item>
        <item name="theme">@style/ThemeOverlay.AppCompat.ActionBar</item>
    </style>

    <style name="MatchWidth">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
    </style>

    <style name="WrapContent">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
    </style>

    <style name="SeekBarPreferenceTitle" parent="WrapContent">
        <item name="android:layout_marginLeft">16dp</item>
        <item name="android:layout_marginTop">16dp</item>
        <item name="android:ellipsize">marquee</item>
        <item name="android:singleLine">true</item>
        <item name="android:textAppearance">?android:attr/textAppearanceLarge</item>
        <item name="android:textColor">?android:attr/textColorPrimary</item>
        <item name="android:textSize">16sp</item>
    </style>

    <style name="RoundedImageButton">
        <item name="android:layout_width">@dimen/dimen_8x</item>
        <item name="android:layout_height">@dimen/dimen_8x</item>
        <item name="android:padding">@dimen/dimen_2x</item>
        <item name="android:scaleType">centerCrop</item>
    </style>

    <style name="EndCallImageButton" parent="RoundedImageButton">
        <item name="android:background">@drawable/selector_call_end</item>
        <item name="android:src">@drawable/ic_phone_hangup</item>
    </style>

    <style name="TakeCallImageButton" parent="RoundedImageButton">
        <item name="android:background">@drawable/selector_call_take</item>
    </style>

    <style name="CallerAvatar">
        <item name="android:layout_width">@dimen/call_avatar_diameter</item>
        <item name="android:layout_height">@dimen/call_avatar_diameter</item>
        <item name="android:padding">24dp</item>
        <item name="android:src">@drawable/ic_person_big</item>
        <item name="android:scaleType">centerCrop</item>
    </style>

    <style name="ListItemIconStyle">
        <item name="android:layout_width">48dp</item>
        <item name="android:layout_height">48dp</item>
        <item name="android:layout_centerVertical">true</item>
        <item name="android:layout_marginRight">@dimen/dimen_1x</item>
        <item name="android:scaleType">centerInside</item>
    </style>

    <style name="ListItem" parent="MatchWidth">
        <item name="android:layout_height">?android:attr/listPreferredItemHeight</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:orientation">horizontal</item>
    </style>
    <!-- End of QB style -->

    <style name="edt_line_white" parent="Theme.AppCompat.Light.DarkActionBar">
        <!--<item name="colorControlNormal">#ffffff</item>-->
        <!--<item name="colorControlActivated">#ffffff</item>-->
        <item name="colorControlHighlight">#5950b1</item>
    </style>

    <style name="WhiteCheck">
        <item name="colorAccent">#fff</item>
    </style>


    <!--    E-Book-->
    <style name="HomeTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimary</item>
        <item name="colorControlNormal">@color/blue</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:textColorSecondary">@color/textColorSecondary</item>
    </style>

    <style name="AppTheme2" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/red</item>
        <item name="colorPrimaryDark">@color/red</item>
        <item name="colorAccent">@color/red</item>
        <item name="android:actionButtonStyle">@style/ActionButton</item>
    </style>

    <style name="ActionButton" parent="@android:style/Widget.ActionButton">
        <!--<item name="android:drawablePadding">@dimen/dimen_05x</item>-->
        <item name="android:minWidth">20dp</item>
        <item name="android:padding">0dp</item>
    </style>

    <!--    ////////////////////////////////////////////////////////////////-->

    <!--Music-->
    <style name="ToolbarThemeMusic" parent="@style/ThemeOverlay.AppCompat.Dark.ActionBar">
        <item name="colorControlNormal">@color/white</item>
    </style>

    <style name="NavigationView">
        <!--<item name="android:listDivider">@color/dividerColor</item>-->
        <item name="android:textColorSecondary">@color/white</item>
    </style>

    <style name="Music2FabStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginTop">0dp</item>
        <item name="android:layout_marginRight">8dp</item>
        <item name="android:src">@drawable/ic_play_white</item>
        <item name="borderWidth">0dp</item>
        <item name="elevation">4dp</item>
        <item name="pressedTranslationZ">12dp</item>
        <item name="rippleColor">@android:color/white</item>
    </style>


    <style name="Music2Theme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorControlNormal">@color/white</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="windowActionBarOverlay">true</item>
    </style>

    <style name="ToolbarTheme" parent="@style/ThemeOverlay.AppCompat.Dark.ActionBar">
        <item name="colorControlNormal">@color/white</item>
    </style>

    <style name="TextPrimary">
        <item name="android:textSize">@dimen/text_size_normal</item>
        <item name="android:textColor">@color/textColorPrimary</item>
    </style>

    <style name="TextSecondPrimary">
        <item name="android:textSize">@dimen/text_size_normal</item>
        <item name="android:textColor">@color/textColorPrimary</item>
    </style>


    <style name="myBottomNavigationStyle">
        <item name="android:background">#181818</item>
        <item name="itemIconTint">@drawable/state_navigation</item>
        <item name="itemTextColor">@drawable/state_navigation</item>
    </style>

    <style name="CustomBottomSheetDialogTheme" parent="Theme.Design.Light.BottomSheetDialog">
        <item name="bottomSheetStyle">@style/CustomBottomSheetStyle</item>
    </style>

    <style name="CustomBottomSheetStyle" parent="Widget.Design.BottomSheet.Modal">
        <item name="android:background">@android:color/transparent</item>
    </style>

    <style name="account_style_textview">
        <item name="android:padding">@dimen/dimen_1x</item>
        <item name="android:background">@android:color/transparent</item>
        <item name="android:textSize">@dimen/text_size_xnormal</item>
        <item name="android:textColor">@color/textColorBlackPrimary</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">0.4</item>
    </style>


    <style name="SwitchButtonStyle">
        <item name="android:paddingLeft">10dp</item>
        <item name="android:paddingRight">10dp</item>
        <item name="android:paddingTop">4dp</item>
        <item name="android:paddingBottom">4dp</item>
    </style>

    <style name="TextDeal">
        <item name="android:background">@drawable/bg_border_black_radius</item>
        <item name="android:padding">@dimen/dimen_x1x</item>
    </style>

    <style name="style_edittext" parent="Widget.AppCompat.EditText">
        <item name="android:background">@android:color/transparent</item>
        <item name="android:padding">@dimen/dimen_1x</item>
        <item name="android:textColor">@color/colorAccent_taxi</item>
        <item name="android:textSize">@dimen/text_size_normal</item>
        <item name="android:singleLine">true</item>
        <item name="android:gravity">right</item>
        <item name="android:hint">@string/input</item>
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">0.6</item>
    </style>

    <style name="Toolbar.TitleText" parent="TextAppearance.Widget.AppCompat.Toolbar.Title">
        <item name="android:textSize">@dimen/text_size_xnormal</item>
    </style>

    <style name="Toolbar.TitleTextE" parent="TextAppearance.Widget.AppCompat.Toolbar.Title">
        <item name="android:textSize">0sp</item>
        <item name="android:textColor">@color/transparent</item>
    </style>

</resources>
